Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I install mysql5.1.53, run #./configure is well, but run #make have this error.

My system is centos5.8, gcc version 4.1.2 20080704 (Red Hat 4.1.2-52)

make[2]: Leaving directory /root/soft/mysql-5.1.53/libmysql' 
make[1]: Leaving directory/root/soft/mysql-5.1.53/libmysql' 
Making all in libmysql_r 
make[1]: Entering directory /root/soft/mysql-5.1.53/libmysql_r' make all-am 
make[2]: Entering directory/root/soft/mysql-5.1.53/libmysql_r' 
make[2]: * No rule to make target libmysql.c', needed bylibmysql.lo'. Stop. 
make[2]: Leaving directory /root/soft/mysql-5.1.53/libmysql_r' 
make[1]: *** [all] Error 2 
make[1]: Leaving directory/root/soft/mysql-5.1.53/libmysql_r' 
make: * [all-recursive] Error 1
share|improve this question
    
Welcome, please be careful with formatting. –  coincoin Oct 1 '12 at 7:13

1 Answer 1

I doubt there is anything specific that we can do to help you as all we can see is that your makefile doesn't know how to make libmysql.c which is a dependency of bylibmysql.lo.

If you are following some instructions check you have followed them correctly.


Unless you have a very good reason to do so you really shouldn't go compiling your own versions of packages on CentOS as you are creating a configuration nightmare for yourself as you have to manually manage all of the dependencies. There are also security risks as it's unlikely that vulnerabilities will have been patched.

If you really must have a newer version of mysql then you should come right up-to-date and use something from a repository like Remi.

You may be able to get the mysql 5.1.53 rpms you need from the mysql archive too.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.